Bug 1309213 - type of storage
type of storage
Status: VERIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI (Show other bugs)
2
Unspecified Unspecified
unspecified Severity medium
: ---
: 2
Assigned To: sankarshan
sds-qe-bugs
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-17 03:57 EST by Lubos Trilety
Modified: 2018-04-30 18:03 EDT (History)
2 users (show)

See Also:
Fixed In Version: rhscon-ui-0.0.23-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
types of created storages (replicated and EC) (51.61 KB, image/png)
2016-02-17 03:57 EST, Lubos Trilety
no flags Details

  None (edit)
Description Lubos Trilety 2016-02-17 03:57:04 EST
Created attachment 1127888 [details]
types of created storages (replicated and EC)

Description of problem:
There's an option for choosing if the storage should be Replicated type or Erasure Coded. However the created storage has always Standard type.
Moreover erasure coded storage should have possibility to choose from some EC profiles.

Version-Release number of selected component (if applicable):
rhscon-core-0.0.8-4.el7.x86_64
rhscon-ceph-0.0.6-4.el7.x86_64
rhscon-ui-0.0.13-1.el7.noarch

How reproducible:
100%

Steps to Reproduce:
1. During storage creation choose 'Erasure Coded' type
2. Check the type of storage on the storage page


Actual results:
During creation no EC profiles are provided by UI. Created storage has Standard type.

Expected results:
During creation some EC profiles are available for erasure coded type of storage. Created storage has 'Erasure Coded' as its type.

Additional info:
Comment 3 Lubos Trilety 2016-07-15 09:23:51 EDT
Tested on:
rhscon-ui-0.0.46-1.el7scon.noarch

Storage type is correctly displayed in the list of pools. EC pool profile can be chosen.

Note You need to log in before you can comment on or make changes to this bug.